---
title: RTCIceCandidatePairStats.firstRequestTimestamp
slug: Web/API/RTCIceCandidatePairStats/firstRequestTimestamp
tags:
  - API
  - Connectivity
  - ICE
  - Network
  - Property
  - RTCIceCandidatePairStats
  - Reference
  - STUN
  - Statistics
  - Stats
  - Timing
  - WebRTC
  - WebRTC API
  - firstRequestTimestamp
  - timeStamp
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The {{domxref("RTCIceCandidatePairStats")}} property <strong><code>firstRequestTimestamp</code></strong> specifies the time at which the first {{Glossary("STUN")}} request was sent on the described candidate pair.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>firstRequestTimestamp</em> = <em>rtcIceCandidatePairStats</em>.firstRequestTimestamp;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMHighResTimeStamp")}} object indicating the timestamp at which the first STUN request was sent on the connection described by the described pair of candidates.</p>

<p>You can use this value in combination with {{domxref("RTCIceCandidatePairStats.lastRequestTimestamp", "lastRequestTimestamp")}} and {{domxref("RTCIceCandidatePairStats.requestsSent", "requestsSent")}} to compute the average interval between consecutive connectivity checks:</p>

<pre class="brush: js notranslate">avgCheckInterval = (candidatePairStats.lastRequestTimestamp -
                    candidatePairStats.firstRequestTimestamp) /
                   candidatePairStats.requestsSent;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatepairstats-firstrequesttimestamp', 'RTCIceCandidatePairStats.firstRequestTimestamp') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>Note: change to <code>firstRequestTime<strong>s</strong>tamp</code>, once BCD is updated.</p>
</div>

<p>{{Compat("api.RTCIceCandidatePairStats.firstRequestTimeStamp")}}</p>
